- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#body.DimensionValueList.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#body.aspect)
- [DimensionValueRequest](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#DimensionValueRequest)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#DimensionValueRequest.SCHEMA_REPRESENTATION)
- [DimensionFilter](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#DimensionFilter)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#DimensionFilter.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#try-it)

Retrieves list of report dimension values for a list of filters.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/dimensionvalues/query`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The Campaign Manager 360 user profile ID. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` The value of the nextToken from the previous result page. |

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#DimensionValueRequest`.

### Response body

Represents the list of DimensionValue resources.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "items": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/DimensionValue`) } ], "kind": string, "etag": string, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `items[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/DimensionValue`)`` The dimension values returned in this response. |
| `kind` | `string` The kind of list this is, in this case `dfareporting#dimensionValueList`. |
| `etag` | `string` The eTag of this response for caching purposes. |
| `nextPageToken` | `string` Continuation token used to page through dimension values. To retrieve the next page of results, set the next request's "pageToken" to the value of this field. The page token is only valid for a limited amount of time and should not be persisted. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfareporting`

## DimensionValueRequest

Represents a DimensionValuesRequest.

| JSON representation |
|---|
| ``` { "dimensionName": string, "filters": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#DimensionFilter`) } ], "startDate": string, "endDate": string, "kind": string } ``` |

| Fields ||
|---|---|
| `dimensionName` | `string` The name of the dimension for which values should be requested. |
| `filters[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/dimensionValues/query#DimensionFilter`)`` The list of filters by which to filter values. The filters are ANDed. |
| `startDate` | `string` The start date of the date range for which to retrieve dimension values. A string of the format `"yyyy-MM-dd"`. |
| `endDate` | `string` The end date of the date range for which to retrieve dimension values. A string of the format `"yyyy-MM-dd"`. |
| `kind` | `string` The kind of request this is, in this case `dfareporting#dimensionValueRequest`. |

## DimensionFilter

Represents a dimension filter.

| JSON representation |
|---|
| ``` { "dimensionName": string, "value": string, "kind": string } ``` |

| Fields ||
|---|---|
| `dimensionName` | `string` The name of the dimension to filter. |
| `value` | `string` The value of the dimension to filter. |
| `kind` | `string` The kind of resource this is, in this case `dfareporting#dimensionFilter`. |